> ## Documentation Index
> Fetch the complete documentation index at: https://artie.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Start pipeline

> Starts or resumes a pipeline. Optional body: keepPaused, disableBackFill.



## OpenAPI

````yaml https://raw.githubusercontent.com/artie-labs/artie-api-spec/refs/heads/master/openapi.yaml post /pipelines/{uuid}/start
openapi: 3.0.3
info:
  description: External API endpoints for Artie
  title: Artie API
  version: v1.0.17
servers:
  - url: https://api.artie.com
security:
  - ApiKey: []
paths:
  /pipelines/{uuid}/start:
    post:
      tags:
        - Pipelines
      summary: Start pipeline
      description: >-
        Starts or resumes a pipeline. Optional body: keepPaused,
        disableBackFill.
      parameters:
        - in: path
          name: uuid
          required: true
          schema:
            type: string
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RouterPipelineStartRequest'
      responses:
        '204':
          description: No Content
        '400':
          description: Bad Request
        '403':
          description: Forbidden
        '500':
          description: Internal Server Error
components:
  schemas:
    RouterPipelineStartRequest:
      properties:
        disableBackFill:
          type: boolean
        keepPaused:
          type: boolean
      type: object
  securitySchemes:
    ApiKey:
      description: API key passed as a Bearer token in the Authorization header.
      scheme: bearer
      type: http

````